/* === INDYJAVA Transition plug-in === */

/* Example: A growing red oval  */


import java.awt.*;
import java.awt.image.*;

class custom_transition_example extends indy_transition
{
    public final void draw(
                      Graphics g,       // Graphic context
                      ImageObserver ob, // Parent component
                      int w, int h,     // Screen size
                      Image i,          // Image of current room, about to be displayed
                      Image old_i,      // Last image available of previous room (if any)
                      float p           // Transition's percentage of completion (0 to 1)
                    )
    {
        g.setColor(Color.red);                              // use red ink.
        if(p<0.5)
        {
            if(old_i!=null) g.drawImage(old_i, 0,0, ob);    // show the old room during half the transition.
            g.fillOval( (int)((1/2-p)*w),(int)((1/2-p)*h), (int)(4*w*p),(int)(4*h*p) );
        }
        else
        {
            g.fillOval( (int)((p-1/2)*w),(int)((p-1/2)*h), (int)(4*w*p),(int)(4*h*p) );
        }
    }
}
