/* === INDYJAVA Transition === */

/* Standard Transition 1: black from center */

import java.awt.*;
import java.awt.image.*;

class transition_1 extends indy_transition
{
    public final void draw(
                      Graphics g,       // Graphic context
                      ImageObserver ob, // Parent component
                      int w, int h,     // Screen size
                      Image i,          // Image of current room, about to be displayed
                      Image old_i,      // Last image available of previous room (if any)
                      float p           // Transition's percentage of completion (0 to 1)
                    )
    {
        g.setColor(Color.black);
        if(p<0.5)
        {
            if(old_i!=null) g.drawImage(old_i, 0,0, ob);
            g.fillRect( (int)((1-2*p)*w/2),(int)((1-2*p)*h/2), (int)(2*p*w), (int)(2*p*h) );
        }
        else
        {
            g.fillRect( (int)((p-0.5)*w),(int)((p-0.5)*h), (int)((2-2*p)*w), (int)((2-2*p)*h) );
        }
    }
}
